7001: Get messages

7001: Get messages

Retrieves all available push communication messages for an account.

  

Endpoint ID:

7001

Method:

GET

URL:

/communication/push/entity/id/{entity-id}?onlyHeaders=true

/communication/push/entity/ext-key/{ext-key}/{ext-type}?onlyHeaders=false



entity-id

Rubiq entity ID that uniquely identifies the account to retrieve the message for



ext-key

External key that uniquely identifies the account to retrieve the message for 



ext-type

Type of external key



onlyHeaders

Optional: boolean to specify whether only message headers should be retrieved. Default is false.

Request body:

None 

Response body:

JSON data containing the push communication details of all available messages for the account.

Example 1 – Two available push communication messages with title, link and type
[ { "messageID": 23930553, "creationDate": "2014-01-08T17:17:04", "title": "R3JlYXQgbmV3cyBEYXZlIQ==", "message": "DQo8aHRtbD48aGVhZD48L2hlYWQ+PGJvZHk+PC9ib2R5PjwvaHRtbD4=", "link": "http://www.google.com?id=123456789", "type": "BreakingNews", "readStatus": true, "activityID": 12345 }, { "messageID": 23930181, "creationDate": "2013-12-18T16:47:38", "title": "U2Vhc29uJ3MgZ3JlZXRpbmdz", "message": "DQo8aHRtbD48aGVhZD48L2hlYWQ+PGJvZHk+PC9ib2R5PjwvaHRtbD4=", "link": "http://www.google.com?id=123456789", "type": "Standard", "readStatus": false, "activityID": 12346 } ]
Example 2 - There are no push communication messages available for the account
 [ ]



The possible response body fields are:

messageID

ID of the message that was retrieved

creationDate

The date and time that the message was created

title

A base64 encoded title for the message

message

The base64 encoded message. The decoded message can be plain text or html, depending on the message design.

link

A URL. This may be an external internet address, or an internal link to be used within an app. *

type

The message type - either "Standard" or "BreakingNews". *

readStatus

Whether the message has been marked as read

activityID

ID of the activity that sent the push notification.

* Use of the "link" and "type" properties should be decided between the app developer and the content producer

Status codes:

200

Message retrieved successfully



404

Account was not found

The following sub codes may be returned:

404.1

User not found

404.2

External user could not be found